
## remove (almost) everything in the working environment.
rm(list = ls())


# to import xl files
library(readxl)
library(writexl)

setwd("C:\\Users\\ddlc\\Documents\\Dropbox\\01. Research\\UTHC social mobility\\database")
#load database of families
families <- as.data.frame(read_excel("families-publis.xlsx"))

families <- families[,c("Father","Son","Flibh")]
nrow(families)
families <- unique(families)
nrow(families)

fathers<- unique(families$Father)

for (i in fathers){
families[families$Father==i,"parity"] <- nrow(families[families$Father==i,])
}

families <- unique(families[,c("Father","Flibh","parity")])

families$Flibh <- asinh(families$Flibh)

length(families[families$parity==1,"Flibh"])

mean(families[families$parity==1,"Flibh"])

sd(families[families$parity==1,"Flibh"])/sqrt(length(families[families$parity==1,"Flibh"]))

length(families[families$parity==2,"Flibh"])

mean(families[families$parity==2,"Flibh"])

sd(families[families$parity==2,"Flibh"])/sqrt(length(families[families$parity==2,"Flibh"]))

length(families[families$parity==3,"Flibh"])

mean(families[families$parity==3,"Flibh"])

sd(families[families$parity==3,"Flibh"])/sqrt(length(families[families$parity==3,"Flibh"]))

length(families[families$parity==4,"Flibh"])

mean(families[families$parity==4,"Flibh"])

sd(families[families$parity==4,"Flibh"])/sqrt(length(families[families$parity==4,"Flibh"]))


write_xlsx(families[families$parity==1,],"fathers-one-child.xlsx")

